Skip to main content
PATCH
/
api
/
payments
/
products
/
{productId}
Update Product
curl --request PATCH \
  --url https://api.example.com/api/payments/products/{productId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "environment": "test",
  "name": "Pro Plan",
  "active": true
}
'
{
  "product": {
    "environment": "test",
    "stripeProductId": "prod_123",
    "name": "<string>",
    "description": "<string>",
    "active": true,
    "defaultPriceId": "price_123",
    "metadata": {},
    "syncedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

productId
string
required

Stripe product ID.

Minimum string length: 1

Body

application/json
environment
enum<string>
required
Available options:
test,
live
name
string
Minimum string length: 1
description
string | null
Maximum string length: 5000
active
boolean
metadata
object

Response

Product updated

product
object
required